
###################################################
### The following functions generate covariates ###
###################################################
Generate_Covariates_1 <- function(n)
   {	
	 X1 <- rbinom(n,1,0.5)
	
	 return(cbind(X1))
   }
   
Generate_Covariates_2 <- function(n)
   {	
	 X1 <- rbinom(n,1,0.5)
	 X2 <- rnorm(n)
	 
	 return(cbind(X1,X2))
   }
   
Generate_Covariates_3 <- function(n)
   {	
	 X1 <- rbinom(n,1,0.5)
	 X2 <- rnorm(n)
	 X3 <- rnorm(n)
	
	 return(cbind(X1,X2,X3))
   }      

Get_Alpha0_Q1 <- function(X)
   {       
   b1=0.5
   b2=0.4
   b3=0.3

	 re <- X %*% cbind(b1,b2,b3)
	 return(re)
   }	

Get_Alpha0_Q2 <- function(X)
   {
   b1=c(0.5, 0.5)   #coef for y1
   b2=c(0.4, 0.6)   #coef for y2
   b3=c(0.3, 0.7)   #coef for y3

	 re <- X %*% cbind(b1,b2,b3)

	 return(re)
   }
      
Get_Alpha0_Q3 <- function(X)
   {
   b1=c(0.6, 0.6, 0.6)   #coef for y1
   b2=c(0.5, 0.5, 0.5)   #coef for y2
   b3=c(0.4, 0.4, 0.4)   #coef for y3
     
	 re <- X %*% cbind(b1,b2,b3)
	 return(re)
   }
